Bug 109473 - [CI][DRMTIP] igt@gem_tiled_fence_blits@normal - fail - Failed assertion: linear[i] == start_val
Summary: [CI][DRMTIP] igt@gem_tiled_fence_blits@normal - fail - Failed assertion: line...
Status: REOPENED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: Other All
: medium normal
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-28 11:11 UTC by Martin Peres
Modified: 2019-05-02 06:10 UTC (History)
1 user (show)

See Also:
i915 platform: G33
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Peres 2019-01-28 11:11:11 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_201/fi-blb-e6850/igt@gem_tiled_fence_blits@normal.html

Starting subtest: normal
(gem_tiled_fence_blits:1001) CRITICAL: Test assertion failure function check_bo, file ../tests/i915/gem_tiled_fence_blits.c:80:
(gem_tiled_fence_blits:1001) CRITICAL: Failed assertion: linear[i] == start_val
(gem_tiled_fence_blits:1001) CRITICAL: Expected 0x07240000, found 0x07780000 at offset 0x00000000
Subtest normal failed.
Comment 2 Chris Wilson 2019-01-28 11:15:20 UTC
We need to go harderer...

See commit a889580c087a9cf91fddb3832ece284174214183
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Dec 7 13:40:37 2018 +0000

    drm/i915: Flush GPU relocs harder for gen3
    
    Adding an extra MI_STORE_DWORD_IMM to the gpu relocation path for gen3
    was good, but still not good enough. To survive 24+ hours under test we
    needed to perform not one, not two but three extra store-dw. Doing so
    for each GPU relocation was a little unsightly and since we need to
    worry about userspace hitting the same issues, we should apply the dummy
    store-dw into the EMIT_FLUSH.
    
    Fixes: 7dd4f6729f92 ("drm/i915: Async GPU relocation processing")
    References: 7fa28e146994 ("drm/i915: Write GPU relocs harder with gen3")
    Testcase: igt/gem_tiled_fence_blits # blb/pnv
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
    Cc: Joonas Lahtinen <joonas.lahtinen@linux.intel.com>
    Reviewed-by: Joonas Lahtinen <joonas.lahtinen@linux.intel.com>
    Link: https://patchwork.freedesktop.org/patch/msgid/20181207134037.11848-1-chris@chris-wilson.co.uk

Suggests, if we can't actually find a reason for it, to bump the num_store_dw used for the w/a
Comment 3 CI Bug Log 2019-03-25 08:56:15 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BLB: igt@gem_tiled_fence_blits@normal - fail - Failed assertion: linear[i] == start_val -}
{+ BLB SNB: igt@gem_tiled_fence_blits@normal - fail - Failed assertion: linear[i] == start_val +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5794/shard-snb5/igt@gem_tiled_fence_blits@normal.html
Comment 4 Chris Wilson 2019-04-11 10:00:30 UTC
Optimistically,

commit 3d325bb211d8cd84c6862c9945185a937395cb44
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sun Mar 24 14:11:16 2019 +0000

    i915: Mark up some forgotten set-domain
    
    It is the user's responsibility to manage their domains. In libdrm, when
    you mmap a pointer, it calls set-domain automatically, but igt requires
    the caller to manage it explicitly, so do so. The vast majority already
    do correct manage the domain as they use the pointer into the mmap, just
    a few have been missed over the years.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
    Reviewed-by: Ville Syrjälä <ville.syrjala@linux.intel.com>

Hmm, maybe that means I can relax a889580c087a9c
Comment 5 CI Bug Log 2019-04-30 06:50:08 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BLB SNB: igt@gem_tiled_fence_blits@normal - fail - Failed assertion: linear[i] == start_val -}
{+ BLB SNB ICL: igt@gem_tiled_fence_blits@normal - fail - Failed assertion: linear[i] == start_val +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_270/fi-icl-y/igt@gem_tiled_fence_blits@normal.html
Comment 6 Lakshmi 2019-04-30 06:51:08 UTC
(In reply to CI Bug Log from comment #5)
> A CI Bug Log filter associated to this bug has been updated:
> 
> {- BLB SNB: igt@gem_tiled_fence_blits@normal - fail - Failed assertion:
> linear[i] == start_val -}
> {+ BLB SNB ICL: igt@gem_tiled_fence_blits@normal - fail - Failed assertion:
> linear[i] == start_val +}
> 
> New failures caught by the filter:
> 
>   *
> https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_270/fi-icl-y/
> igt@gem_tiled_fence_blits@normal.html

This is now seen on fi-icl-y.
Comment 7 Chris Wilson 2019-05-01 21:27:00 UTC
(In reply to Lakshmi from comment #6)
> (In reply to CI Bug Log from comment #5)
> > A CI Bug Log filter associated to this bug has been updated:
> > 
> > {- BLB SNB: igt@gem_tiled_fence_blits@normal - fail - Failed assertion:
> > linear[i] == start_val -}
> > {+ BLB SNB ICL: igt@gem_tiled_fence_blits@normal - fail - Failed assertion:
> > linear[i] == start_val +}
> > 
> > New failures caught by the filter:
> > 
> >   *
> > https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_270/fi-icl-y/
> > igt@gem_tiled_fence_blits@normal.html
> 
> This is now seen on fi-icl-y.

No. That is not this issue, but a regular icl gpu hang. This bug is truly blb/pnv specific as it a hardware issue.
Comment 8 CI Bug Log 2019-05-02 06:09:14 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BLB SNB ICL: igt@gem_tiled_fence_blits@normal - fail - Failed assertion: linear[i] == start_val -}
{+ BLB SNB: igt@gem_tiled_fence_blits@normal - fail - Failed assertion: linear[i] == start_val +}


  No new failures caught with the new filter
Comment 9 Lakshmi 2019-05-02 06:10:08 UTC
(In reply to Chris Wilson from comment #7)
> (In reply to Lakshmi from comment #6)
> > (In reply to CI Bug Log from comment #5)
> > > A CI Bug Log filter associated to this bug has been updated:
> > > 
> > > {- BLB SNB: igt@gem_tiled_fence_blits@normal - fail - Failed assertion:
> > > linear[i] == start_val -}
> > > {+ BLB SNB ICL: igt@gem_tiled_fence_blits@normal - fail - Failed assertion:
> > > linear[i] == start_val +}
> > > 
> > > New failures caught by the filter:
> > > 
> > >   *
> > > https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_270/fi-icl-y/
> > > igt@gem_tiled_fence_blits@normal.html
> > 
> > This is now seen on fi-icl-y.
> 
> No. That is not this issue, but a regular icl gpu hang. This bug is truly
> blb/pnv specific as it a hardware issue.

Thanks Chris. I have updated the filters accordingly.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.